## NAME

d.shade.py - Drapes a color raster over an shaded relief or aspect map.

## KEYWORDS

display, elevation, relief, hillshade, visualization

## SYNOPSIS

d.shade.py
d.shade.py --help
d.shade.py shade=name color=name [brighten=integer] [--help] [--verbose] [--quiet] [--ui]

### Flags:

--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

shade=name [required]
  Name of shaded relief or aspect raster map
color=name [required]
  Name of raster to drape over relief raster map
  Typically, this raster is elevation or other colorful raster
brighten=integer
  Percent to brighten
  Options: -99-99
  Default: 0

## DESCRIPTION

d.shade will drape a color raster map over a shaded relief map. In place of shaded relief, any raster map can be used including aspect or slope. The color raster map is usually an elevation raster map with colorful color table (as opposed to gray scale color table). However, any raster map can be used including categorical raster maps.

The advantage of this module is that it allows visualizing the shaded map without a need to create a new raster which would combine both. Comparing to creating shaded relief as semi-transparent overlay on the color raster map, this module gives result with more saturated colors.

The input for this module can be created for example using r.slope.aspect or r.relief
.

## NOTES

Refer to the d.his help page for more details; d.shade is simply a frontend to that module.

## EXAMPLES

In this example, the `aspect` map in the North Carolina sample dataset location is used to hillshade the `elevation` map:

    g.region raster=aspect -p
    d.mon wx0
    d.shade shade=aspect color=elevation

Figure: A detail of raster created by applying shading effect of aspect to elevation raster map from North Carolina dataset elevation map

In this next example, a shaded relief raster map is created and used to create a colorized hillshade:

    g.region raster=elevation
    r.relief input=elevation output=elevation_shaded_relief

    d.mon wx1
    d.shade shade=elevation_shaded_relief color=elevation

Interesting visualizations can be created using different color tables for elevation raster map, for example using `haxby` color table.

## SEE ALSO

d.his, g.pnmcomp, r.shade, r.slope.aspect, r.relief
wxGUI 3D viewer (NVIZ)

## AUTHORS

Unknown; updated to GRASS 5.7 by Michael Barton

Last changed: $Date: 2015-02-13 16:14:07 +0100 (Fri, 13 Feb 2015) $

## SOURCE CODE

Available at: d.shade source code (history)

Main index | Display index | Topics index | Keywords index | Graphical index | Full index

© 2003-2019 GRASS Development Team, GRASS GIS 7.6.0 Reference Manual